###########################################################
# GEO/G1  setup  'stdrc_solaris.sh' - Bash shell          #
#                                                         #
# Created by Keith Thorne, 23 Jul 2010                    #
#                                                         #
# DO NOT EDIT THIS FILE!                                  #
# This file is part of a production system.               #
##########################################################
# Changes to it effect everyone.  Please play nice        #
# and contact the CDS sys admin if you feel this file     #
# needs to be changed.                                    #
#                                                         #
# $Id$
###########################################################

# - proctype should be sparc, i386 or x86_64
proctype=`uname -p`

# some shell defaults
# - limit size of core dumps
ulimit -c 100000

# setup X-windows DISPLAY variable
if [ "$REMOTEHOST" ]; then
   if [ ! "$DISPLAY" ]; then
      export DISPLAY=$REMOTEHOST":0"
   fi
elif [ ! "$DISPLAY" ]; then
   export DISPLAY=unix:0
fi

# define useful functions for adding to paths
addpath()
{
#  addpath - add to PATH if not already there
    thispath=$1
    echo ${PATH} | egrep -i ${thispath} >&/dev/null
    if [ "$?" -ne 0 ]; then
        export PATH=${PATH}:${thispath}
    fi
}
addlib()
{
#  addlib - add to LD_LIBRARY_PATH if not already there
    thislib=$1
    echo ${LD_LIBRARY_PATH} | egrep -i ${thislib} >&/dev/null
    if [ "$?" -ne 0 ]; then
        export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${thislib}
    fi
}
addman()
{
#  addman - add to MANPATH if not already there
    thisman=$1
    echo ${MANPATH} | egrep -i ${thisman} >&/dev/null
    if [ "$?" -ne 0 ]; then
        export MANPATH=${MANPATH}:${thisman}
    fi
}
prepath()
{
#  prepath - add to front of PATH if not already there
    thispath=$1
    echo ${PATH} | egrep -i ${thispath} >&/dev/null
    if [ "$?" -ne 0 ]; then
        export PATH=${thispath}:${PATH}
    fi
}
prelib()
{
#  prelib - add to front of LD_LIBRARY_PATH if not already there
    thislib=$1
    echo ${LD_LIBRARY_PATH} | egrep -i ${thislib} >&/dev/null
    if [ "$?" -ne 0 ]; then
        export LD_LIBRARY_PATH=${thislib}:${LD_LIBRARY_PATH}
    fi
}
preman()
{
#  preman - add to front of MANPATH if not already there
    thisman=$1
    echo ${MANPATH} | egrep -i ${thisman} >&/dev/null
    if [ "$?" -ne 0 ]; then
        export MANPATH=${thisman}:${MANPATH}
    fi
}
#
# Add libraries we will need
# - First one handles a non-existent LD_LIBRARY_PATH
if [ "$LD_LIBRARY_PATH" ]; then
   addlib /usr/lib
else
   export LD_LIBRARY_PATH=/usr/lib
fi
if [ "$MANPATH" ]; then
   addman /usr/man
else
   export MANPATH=/usr/man
fi

# ** add /usr/local in front**
localpath=/usr/local
prepath ${localpath}/bin
prelib ${localpath}/lib
preman ${localpath}/man
# * add in standard Solaris sfw 
sfwpath=/usr/sfw
addpath ${sfwpath}/bin
addlib ${sfwpath}/lib
addman ${sfwpath}/man
# * it may also be in /ligo/sfw
ligosfwpath=/ligo/sfw
addpath ${ligosfwpath}/bin
addlib ${ligosfwpath}/lib
addman ${ligosfwpath}/man
# * Add in GNU tools
ccspath=/usr/ccs
addpath ${ccspath}/bin
addlib ${ccspath}/lib
addman ${ccspath}/man

# ** Setup EPICS/MEDM **
if [ "$proctype" == "sparc" ]; then
   export EPICS_HOST_ARCH=solaris-sparc
else
   export EPICS_HOST_ARCH=solaris-x86
fi
source /ligo/apps/epics/etc/epics-user-env.sh
export MEDM_EXEC_LIST='Probe;probe &P &'
export EPICS_DISPLAY_PATH=${CDSROOT}/medm
alias m0='cd ${CDSROOT}/medm'
alias mr='cd ${RTCDSROOT}/medm'
alias medm_a='medm -displayFont alias'
alias medm_f='medm -displayFont fixed'

# ** setup DataViewer **
prepath /ligo/apps/dv

# -- prep for GDS
# - fftw
source /ligo/apps/fftw/etc/fftw-user-env.sh
# - ldas-tools
source /ligo/apps/ldas-tools/etc/ldas-tools-user-env.sh
# - libframe
source /ligo/apps/libframe/etc/libframe-user-env.sh
# - metaio
source /ligo/apps/metaio/etc/metaio-user-env.sh
#  set up ROOT
source /ligo/apps/root/etc/root-user-env.sh

# - set up GDS
source /ligo/apps/gds/etc/gds-user-env.sh

# ** setup TDS **
source /ligo/apps/tds/etc/tds-user-env.sh

# ** setup ligotools **
eval `/ligo/apps/ligotools/bin/use_ligotools`

# -- MATLAB applications --
# ** setup MATLAB **
export MATLABROOT=/ligo/apps/matlab
prepath ${MATLABROOT}/bin
# ** setup mDV **
addmatlab /ligo/apps/mDV
# ** setup awgstream **
addpath /ligo/apps/awgstream
addmatlab /ligo/apps/awgstream

# ** setup Scripts **
